Purchasing Rfq
The purchasing rfq resource.
Basehttps://rest.carbon.ms/purchasingRfq
GET
/purchasingRfqList purchasing rfqs
Retrieve a paginated list of purchasing rfqs. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/purchasingRfq
curl --request GET \
--url 'https://rest.carbon.ms/purchasingRfq?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"rfqId": "xyz789",
"revisionId": 0,
"status": "string",
"rfqDate": "2026-01-01",
"companyId": "xyz789",
"employeeId": "xyz789",
"expirationDate": "2026-01-01"
}
]GET
/purchasingRfqRetrieve a purchasing rfq
Fetch a single purchasing rfq by filtering on `id`.
Query parameters
idstringMatch on the purchasing rfq's `id`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/purchasingRfq
curl --request GET \
--url 'https://rest.carbon.ms/purchasingRfq?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"rfqId": "xyz789",
"revisionId": 0,
"status": "string",
"rfqDate": "2026-01-01",
"companyId": "xyz789",
"employeeId": "xyz789",
"expirationDate": "2026-01-01"
}POST
/purchasingRfqCreate a purchasing rfq
Create a new purchasing rfq.
Body parameters
rfqIdstringrequiredrevisionIdnumberrequiredstatuspurchasingRfqStatusrequiredemployeeIdstringReferences user.id
rfqDatedaterequiredexpirationDatedateinternalNotesstringnotesobjectlocationIdstringReferences location.id
assigneestringReferences user.id
companyIdstringrequiredReferences company.id
customFieldsobjectPOSThttps://rest.carbon.ms/purchasingRfq
curl --request POST \
--url https://rest.carbon.ms/purchasingRfq \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"rfqId":"xyz789","revisionId":0,"status":"string","rfqDate":"2026-01-01","companyId":"xyz789"}'Response
{
"id": "abc123def456",
"rfqId": "xyz789",
"revisionId": 0,
"status": "string",
"rfqDate": "2026-01-01",
"companyId": "xyz789",
"employeeId": "xyz789",
"expirationDate": "2026-01-01"
}PATCH
/purchasingRfqUpdate a purchasing rfq
Update an existing purchasing rfq, matched on `id`.
Body parameters
rfqIdstringrequiredrevisionIdnumberrequiredstatuspurchasingRfqStatusrequiredemployeeIdstringReferences user.id
rfqDatedaterequiredexpirationDatedateinternalNotesstringnotesobjectlocationIdstringReferences location.id
assigneestringReferences user.id
companyIdstringrequiredReferences company.id
customFieldsobjectPATCHhttps://rest.carbon.ms/purchasingRfq
curl --request PATCH \
--url 'https://rest.carbon.ms/purchasingRfq?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"rfqId":"xyz789"}'Response
{
"id": "abc123def456",
"rfqId": "xyz789",
"revisionId": 0,
"status": "string",
"rfqDate": "2026-01-01",
"companyId": "xyz789",
"employeeId": "xyz789",
"expirationDate": "2026-01-01"
}DELETE
/purchasingRfqDelete a purchasing rfq
Delete a purchasing rfq, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the purchasing rfq to delete, e.g. `eq.{id}`.
DELETEhttps://rest.carbon.ms/purchasingRfq
curl --request DELETE \
--url 'https://rest.carbon.ms/purchasingRfq?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'204 No Content